% [Xk] = DFT(N)
%
% Create an NXN matrix that computes the (complex-valued, unnormalized) DFT.

function [Xk] = dft(N)
    Xk=zeros(N,N);
    k = [0:N-1]; 
    for n = [0:N-1]
        Xk(:,n+1) = exp(-i*2*pi*(k/N).*n);
    end 
end